]> git.wincent.com - wikitext.git/commitdiff
Add tests against Edge Rails
authorWincent Colaiuta <win@wincent.com>
Mon, 5 Jan 2009 17:35:47 +0000 (18:35 +0100)
committerWincent Colaiuta <win@wincent.com>
Mon, 5 Jan 2009 17:35:47 +0000 (18:35 +0100)
Note that these tests will fail if a pre-0.4.0 version of the rack gem
is installed, because Edge Rails itself current borks under those
circumstances (rake refuses to run with older versions).

Signed-off-by: Wincent Colaiuta <win@wincent.com>
spec/rails_spec.rb

index adc4c1c490ee4b7a219ecac1035c74b2f8ec4251..57990eb7d843d9507d8567d7451afe37538c6769 100644 (file)
@@ -197,3 +197,16 @@ describe 'Template handler in Rails 2.2.2' do
     run_integration_test(@path).should =~ /1 tests, 3 assertions, 0 failures, 0 errors/
   end
 end
+
+describe 'Template handler in Edge Rails' do
+  include RailsSpecs
+
+  before(:all) do
+    setup_edge_app
+    @path = RailsSpecs::EDGE_APP_PATH
+  end
+
+  it 'should process the template using the wikitext module' do
+    run_integration_test(@path).should =~ /1 tests, 3 assertions, 0 failures, 0 errors/
+  end
+end